<?     
	     ini_set('max_execution_time',600);
		  
		  include "../include/mysql.php";

        include "../include/common.php";

		extract($_REQUEST);

		//echo $val;

		$exp=explode("***",$val);

		$MACHINE_ID=$exp[0];

		$fdate=date("Y-m-d",strtotime($exp[1]));

		$tdate=date("Y-m-d",strtotime($exp[2]));

		if($MACHINE_ID=="All")
		{

				$icondn=" where DATE(BILL_DATE_TIME) between '$fdate' and '$tdate' and MACHINE_ID in(select MACHINE_ID from setting_details) order by bill_date_time";

		}
		else
		{
				
				$icondn=" where MACHINE_ID='$MACHINE_ID' and DATE(BILL_DATE_TIME) between '$fdate' and '$tdate' order by bill_date_time";

		}	

		$getdetails=$db->select(RBI,"count(*)",$icondn);

		//$getdetails_rows=$db->rows($getdetails);
	
		$getdetails_rows=$db->fetch($getdetails);
	
		
		if($getdetails_rows[0]==0)
		{
	
				echo 0;

		}
		else
		{
		
			 $full_total="0";
	
			
			$tbl="";
			
			$tbl=$tbl."<table style='width:100%;'><tr><td align='center'><b><span>
			ARULMIGU MEENAKSHI  SUNDARESHWARAR THIRUKOVIL,MADURAI</span> </b></td></tr><tr><td align='center'><b><span>
			DATEWISE MACHINE REPORT</span></b></td></tr><tr><td align='center'><b><span>$exp[1] To  $exp[2]</span></b></td></tr></table><br />";            
	
	
	$getdate_select=$db->select(RBI,"DISTINCT DATE_FORMAT(BILL_DATE_TIME, '%Y-%m-%d')",$icondn);

	while($getdate_fetch=$db->fetch($getdate_select))
			{
			
			
			$date=date("Y-m-d",strtotime($getdate_fetch[0]));

			$load_date=date("d-m-Y",strtotime($getdate_fetch[0]));

		//echo $date;

	
		
		//echo $dcondn;
		 $over_total="0";

		   $table="";
		   
		
					$load_machine=$db->select(RBI,"distinct(machine_id)",$icondn);
					
					while($fetch_machine=$db->fetch($load_machine))
					{
					
									
					$MACHINE_ID=$fetch_machine[0];
					
	            
					$getitem_name=$db->select(MD,"*"," where MACHINE_ID='$MACHINE_ID'");

                    $getitem_name_fetch=$db->fetch($getitem_name);

                    $SOFTWARE_ID=$getitem_name_fetch["softwareid"];
				
  
           	 $table=$table."<table width='100%' cellpadding='4' cellspacing='4' ><tr><th align='left'>$SOFTWARE_ID - $load_date</th></tr><tr><td></td></tr></table><br><table id='$field_display_table' width='800px;'  border=0 class='price1' cellpadding='8' cellspacing='6' style='border-collapse:collapse;'>
											<col style='width: 30%' class='col1'>
											<col style='width: 10%'>
											<col style='width: 15%'>
											<col style='width: 15%'>
											<col style='width: 10%'>	
											<col style='width: 20%'>	
											<col style='width: 20%'>	
										  <thead>			
												<tr>
																									
													<th align='center' class='pdftbl' style='text-align:left;'>டிக்கெட் பெயர்</th>

													<th align='center' class='pdftbl' style='text-align:right;'>விலை</th>

													<th align='center' class='pdftbl' style='text-align:right;'>ஆரம்ப எண்</th>

													<th align='center' class='pdftbl' style='text-align:right;'>முடிவு எண்</th>
													
													<th align='center' class='pdftbl' style='text-align:right;'>எண்ணிக்கை</th>

													<th align='center' class='pdftbl' style='text-align:right;'>மொத்தம்</th>
													
													<th align='center' class='pdftbl' style='text-align:right;'></th>
													
													</tr>													
													
													</thead>";

					$micondn=" where MACHINE_ID='$MACHINE_ID' and DATE_FORMAT(BILL_DATE_TIME, '%Y-%m-%d')='$date' and ITEM_CODE in(select ITEM_CODE from item_details) order by START_BILL_NUMBER";
            
               
					
					$getminfo=$db->select(RBI,"distinct(ITEM_CODE)",$micondn);

	              $grand_total=0;
                   
                    $gtotal="";

					$over_total=0;
					
					while($getminfo_fetch=$db->fetch($getminfo))
                    {

                            $ITEM_CODE=$getminfo_fetch[0];

                        													
							$getitem_info=$db->select(ITI,"*"," where ITEM_CODE='$ITEM_CODE' and MACHINE_ID='$MACHINE_ID'");

							$getitem_info_fetch=$db->fetch($getitem_info);

							$item_name=$getitem_info_fetch["item_name_oth"];							
							
							$UNIT_RATE=$getitem_info_fetch["unit_rate"];	
						
							
													
							$getcondn=" where MACHINE_ID='$MACHINE_ID' and item_code='$ITEM_CODE' and DATE_FORMAT(BILL_DATE_TIME, '%Y-%m-%d')='$date'";


                           
                            $getcount_info=$db->select(RBI,"min(`START_BILL_NUMBER`),max(`END_BILL_NUMBER`)",$getcondn);

                            $getcount_info_fetch=$db->fetch($getcount_info);

                            $start_no=$getcount_info_fetch[0];

                            $end_no=$getcount_info_fetch[1];

                            $rcount=($end_no+1)-$start_no;

                            $total_amt=$rcount*$UNIT_RATE;

                            $total_amt=number_format($total_amt,2);

                            $table=$table."<tr><td>$item_name</td><td align='right'>$UNIT_RATE</td>
							
							<td align='right'>$start_no</td>
							
							<td align='right'>$end_no</td><td align='right'>$rcount</td><td align='right'>$total_amt</td></tr>";
                       
                            $grand_total=$grand_total+$total_amt;

							$total_amt1=$rcount*$UNIT_RATE;
							
							$gtotal=$gtotal+$total_amt1;

							 $over_total=$over_total+$total_amt1;
					
							
							$full_total=$full_total+$total_amt;
					
					} 				
			
			
			
				$over_total=number_format($over_total,2);

				

                $table=$table."<tr><td colspan='7' align='right'><b>Total</b></td><td>$over_total</td></tr></table><br>";

  			
			
				$tbl=$tbl.$table;
		
					}
			
			
			}

			$full_total=number_format($full_total,2);
		
		$tbl=$tbl."<br><table width='100%' cellpadding='4' cellspacing='4'><tr><td colspan='7' align='right'><b>
		Grand Total :  $full_total</b></td></tr><!--<tr><td colspan='6' align='center'><p align='center'>
		<img onclick='machinewise_pdf();' style='cursor:pointer;' src='images/print3.png'></p></td></tr>--></table>";
		
		
		}
 
 
//==============================================================
//==============================================================
//==============================================================


include("mpdf.php");

$mpdf=new mPDF(); 

$mpdf->useAdobeCJK = true;		// Default setting in config.php
						// You can set this to false if you have defined other CJK fonts

$mpdf->SetAutoFont(AUTOFONT_ALL);	//	AUTOFONT_CJK | AUTOFONT_THAIVIET | AUTOFONT_RTL | AUTOFONT_INDIC	// AUTOFONT_ALL
						// () = default ALL, 0 turns OFF (default initially)

//$mpdf->setFooter('{PAGENO}');

$mpdf->WriteHTML($tbl);

$mpdf->Output(); 

exit;
//==============================================================
//==============================================================
//==============================================================


?>